GcTimeMonitor.Builder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util, class: GcTimeMonitor, class: Builder

Package org.apache.hadoop.util

# Class GcTimeMonitor.Builder

java.lang.Object
org.apache.hadoop.util.GcTimeMonitor.Builder

Enclosing class:
  GcTimeMonitor

public static class GcTimeMonitor.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GcTimeMonitor`
  `build()`
  `GcTimeMonitor.Builder`
  `gcTimeAlertHandler(GcTimeMonitor.GcTimeAlertHandler value)`
  Set the GC alert handler.
  `GcTimeMonitor.Builder`
  `maxGcTimePercentage(int value)`
  Set the max GC time percentage that triggers the alert handler.
  `GcTimeMonitor.Builder`
  `observationWindowMs(long value)`
  Set observation window size in milliseconds.
  `GcTimeMonitor.Builder`
  `sleepIntervalMs(long value)`
  Set sleep interval in milliseconds.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### observationWindowMs

    public GcTimeMonitor.Builder observationWindowMs(long value)
    Set observation window size in milliseconds.
    Parameters:
      `value` - value.
    Returns:
      window size in milliseconds.

  - ### sleepIntervalMs

    public GcTimeMonitor.Builder sleepIntervalMs(long value)
    Set sleep interval in milliseconds.
    Parameters:
      `value` - value.
    Returns:
      IntervalMs.

  - ### maxGcTimePercentage

    public GcTimeMonitor.Builder maxGcTimePercentage(int value)
    Set the max GC time percentage that triggers the alert handler.
    Parameters:
      `value` - value.
    Returns:
      max GC time percentage.

  - ### gcTimeAlertHandler

    public GcTimeMonitor.Builder gcTimeAlertHandler(GcTimeMonitor.GcTimeAlertHandler value)
    Set the GC alert handler.
    Parameters:
      `value` - value.
    Returns:
      GC alert handler.

  - ### build

    public GcTimeMonitor build()